Updating pioneer remote control

Rated 3.89/5 based on 781 customer reviews

Could you please tell me how am I now able to update the controller firmware considering there are no apps available that can do this?I wonder why it has worked for everyone else so far.Tried that with a couple of different 4.1.5 APKs, and every time, I get a message that the Go 4 failed to download a 54 Mb resource file. Tried that with a couple of different 4.1.5 APKs, and every time, I get a message that the Go 4 failed to download a 54 Mb resource file. I think it was 10-15 attempts to download before it did finalize.Using an Apple device is not an option, as there are no Apple devices in this household. Using an Apple device is not an option, as there are no Apple devices in this household. From there, I was able to update the remote, and later upgrade to 4.1.8.I have same problem, i updated the spark and batteries ok , but controller turn off after several minutes trying update on 5% .I'm very disapointed, i never fly my spark and have issues with this update.

Dansmar, please install the 4.1.5 version of DJI GO 4 and try to update your RC again. are ok on 4.1.9 As others have said dji assistant 2 is useless for the , RC Good info. Afterwards I was never able to link that RC to the drone, send it back and it was replaced although I succeed to upgrade firmware via v4.1.5 Now once again the new RC is asking for firmware upgrade but I am being anxious to do it again.

You need to delete and reinstall the previous version (4.1.5.). I decided to see what the experience was when going to 4.1.4.

OK, I've read a few forums that say to downgrade the Go 4 version to 4.1.5 on Android, and try the remote upgrade once again. OK, I've read a few forums that say to downgrade the Go 4 version to 4.1.5 on Android, and try the remote upgrade once again. Still got the resource file issue, but it did appear to be making the attempt.

I'm in the middle of trying to help my father get this brand new Mavic going, and all he see's is 00 bucks sitting on his kitchen table that can't be returned to the store. Me, I'm disappointed and embarrassed as a person in a tech field that stuff like this puts a bad taste in peoples mouths, and no matter what going forward (when I get this to work) there's going to be a certain level of distrust in the product that's now irreversible. So I got it to work by downloading the previous version 4.1.5 While this worked--thanks to everyone who answered--DJI should be fairly ashamed of itself for approving a pretty awkward work around for this.

I enjoy flying this, but come on, don't take the fun out of this by constantly spewing "necessary" updates without getting them to work with every version since the one worked with first.

Leave a Reply